GHSA-qx37-225j-qr89

Suggest an improvement
Source
https://github.com/advisories/GHSA-qx37-225j-qr89
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/05/GHSA-qx37-225j-qr89/GHSA-qx37-225j-qr89.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-qx37-225j-qr89
Aliases
Published
2022-05-24T16:57:55Z
Modified
2024-04-24T22:43:40.079397Z
Severity
  • 5.4 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:R/S:C/C:L/I:L/A:N CVSS Calculator
Summary
TeamPass Stored Cross-site Scripting
Details

TeamPass 2.1.27.36 allows Stored XSS by setting a crafted Knowledge Base label and adding any available item.

References

Affected packages

Packagist / nilsteampassnet/teampass

Package

Name
nilsteampassnet/teampass
Purl
pkg:composer/nilsteampassnet/teampass

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Last affected
2.1.27.36

Affected versions

2.*

2.1.21
2.1.26
2.1.27